04 February 2013

Use Android Developper Tool (ADT) with a proxy

On my current job, I had to use ADT
Unfortunatly, they are very strict on Internet security and so use a proxy for any access.

ADT needs Internet access to download SDKs and images for the AVD manager.
You could define a proxy on the ADT preferences screen but how do define a login/password protected proxy ?
I tried http://<login>:<password>@<proxyadr>:<proxyport> with no success

Hopefully, after some googling, I found the perfect answer :

You had to edit androidtool.cfg in C:\Documents and Settings\YOU USER NAME\.android\ and edit 3 properties


http.proxy should not be there, it's up to you to add it

 Thanks Florian !!

01 February 2013

Not so easy to use Apache Flex 4.9 with Flash Builder

Edit : I changed the title since visitors seems to already read it and post comment to help me install Flex 4.9

Since it's still not clear if Adobe AIR and Apache Flex will evolve together or not, I previously said I won't use Apache Flex 4.9.

But, in the release note (can't find it anymore), I read it was possible to use Flash Player version as low as 10.2
I never understood why a new Flex SDK needed the last Flash Player version so it seems the Apache team finally fixed this non-sens...and give me a reason to install Flex SDK 4.9

I first tried to install Flash Builder 4.9 with the installer : FAIL => you need full rights to use it, which is rarely the case in big corporation.
So I followed the manual way but, since I don't see the point to install ant just to download and unzip files, I handled the dependencies myself.
It was the best choice since I simply used the file I already had on the 4.6 sdk folder, not waited for the  download of the 4.6 SDK archive.

But, I failed to add the SDK on Flash Builder...
adt.jar not found 

Great...the new SDK doesn't work on Flash Builder....
I wonder if it works on JetBrains IntelliJ IDEA since Apache team REALLY seems to like this IDE.
Sorry, but I can't work without my favorites Eclipse plugins, like Subclipse and some others...

How to use it without IDE ? Flash Builder ? FDT ? CLI ?

So, let ask google ! ... wait...there is an issue on Apache's JIRA !
In fact, the only thing to do is to call ide/flashbuilder/makeApacheFlexForFlashBuilder.bat !

Ok, it finally works...but why should I call makeApacheFlexForFlashBuilder.bat ?
From the realease note, it seems it's because they changed the folders architectures to something more useable ... well..not in Flash Builder it seems...

makeApacheFlexForFlashBuilder.bat also patch Apache Flex 4.9 with the last Adobe AIR SDK ... while only AIR 3.1 is officialy supported

Oh, and I finally discovered I had to download the source, install even more tools and compile the SDK myself to get 10.2 support
Edit : from comments below, it seems the README point me to the wrong direction, you haven't to recompile the SDK for 10.2 support

so, got 4.9 SDK on FB4.7 but I'm still using 4.6 SDK !

My Flash (Game) Builder 4.7 feedback

20 days ago, I finally installed Flash Builder 4.7
Since the new "features" come, apart for MacOSX users, from the new AIR / Flash player and the support for Scout, I asked myself if it was really needed.

Until you ask, here are some points about this release :

  • FBuilder still not add mobile.swc by default when you create a mobile library
  • FBuilder still make mistake when trying to open declaration of class existing in mobile and not mobile ("source not found")
  • FBuilder is still unable to open declaration of mobile skin : "source not found for XXSkin in mobile.swc" even when mobile.swc's source attachment is valid
  • Flash Builder is now sold like Flash Game Builder, following Adobe's stupid line about the future of Flash Player... (more on this on a later post)

But, 3 days ago, I discovered something... and not a minus one !

For a long time now, I'm not hitting F1 key anymore to avoid losing minutes when Adobe Community Help loads, updates, loads a wrong page and get closed to avoid "not enougth memory" back in Flash Builder...

I'm used to get Adobe LiveDocs opened on a Chrome window ...more useful and error/update proof.
I'm actually working for a client who is still using FlexBuilder 3 (yes, not auto indent nor import ordering...sadly).
In this realease, F1 key is working the way it needs to.
After a day fighting with a bug and, so, hitting a lot the F1 key, I get back to my other PC and launched FB4.7.
I don't know how, I don't know why but I hitted F1 key....and the embedded help just opened !
I took me some seconds to realize but YESSSSSSSSSSSSSSSSSSS !

After all this time explaining how bad was this choice on every blog and forum I could, it came back !

Getting back to my chair, I thought :
Wow! Adobe recognized then made an error and finally fixed it !
Is it their new strategy ? What happened ?
Did they finally use their minds for something not marketshare related ?

Then I started dreaming :
Perhaps they'll change the horrible GUI of the Creative Suite on the next release !
Perhaps they'll say how HTML5 is pure crap and not "the future" !
Perhaps they'll start to have a useful communication campaign !
...yes...I was dreaming .... too much emotion....

So, yes, Flash Builder 4.7 need to be installed and used, just to get Adobe LiveDoc embedded !
It's a shame to pay 50$ just to get back a feature but it's easy to explain to the guy who guard the credit card : better productivity !

While talking to him, for the same reason, ask for a second screen and for Charles HTTP proxy (just 10 times better that this unuseful network monitor)

Faith came back !